--- s6-linux-init-1.1.2.0-1experimental1.orig/skel/rc.init
+++ s6-linux-init-1.1.2.0-1experimental1/skel/rc.init
@@ -25,7 +25,7 @@ shift
 ### If your services are managed by s6-rc:
 ### (replace /run/service with your scandir)
 # s6-rc-init /run/service
-
+s6-rc-init -c /etc/s6-rc/compiled -l /run/s6-rc /run/service
 
 ### 2. Starting the wanted set of services
 ### This is also called every time you change runlevels with telinit.
@@ -36,7 +36,7 @@ shift
 ### override the default.
 
 # exec /etc/s6-linux-init/current/scripts/runlevel "$rl"
-
+exec /etc/s6-linux-init/current/scripts/runlevel "$rl"
 
 ### If this script is run in a container, then 1. and 2. above do not
 ### apply and you should just call your CMD, if any, or let your
